#!/usr/bin/perl

use strict;
use warnings;

use Net::IMAP::Server;

my $server= Net::IMAP::Server->new('ssl_port' => 2993,
                                    'auth_class' => 'Org::Ruka::ProxyAuth',
                                    'model_class' => 'Org::Ruka::ProxyModel',
                                    #'log_level' => 4,
                                    );
use Org::Ruka::CommandCopy;

$Org::Ruka::ProxyAuth::server = 'webmail.msoe.edu';
$server->add_command('copy', 'Org::Ruka::CommandCopy');
$server->add_command('uid', 'Org::Ruka::CommandUid');
$server->add_command('append', 'Org::Ruka::CommandAppend');



$server->run or die "did not run";

